[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TTaskDlgClickEvent

Specifies an event handler signalled when a button is clicked in TCustomTaskDialog / TTaskDialog.

## Declaration

Source position: dialogs.pp line 620

`type TTaskDlgClickEvent = procedure(`
`Sender: TObject;`
`AModalResult: TModalResult;`
`var ACanClose: Boolean`
`) of object;`

## Arguments

`Sender` |  | Task dialog for the event notification.
`AModalResult` |  | Modal result for the clicked button.
`ACanClose` |  | True if the dialog can close.

## Description

TTaskDlgClickEvent is the type used for the OnButtonClicked event handler in TCustomTaskDialog.

## See also

TCustomTaskDialog.OnButtonClicked |  | Event handler signalled for the button clicked when the Task dialog was executed.